Page MenuHomePhabricator

Supresses misc-move-constructor-init warning for const fields.
ClosedPublic

Authored by lethalantidote on Jan 20 2017, 2:42 PM.

Diff Detail

Repository
rL LLVM

Event Timeline

lethalantidote created this revision.Jan 20 2017, 2:42 PM
alexfh_ edited reviewers, added: alexfh; removed: alexfh_.Jan 21 2017, 8:03 AM
alexfh requested changes to this revision.Jan 22 2017, 12:56 PM
alexfh added inline comments.
clang-tools-extra/test/clang-tidy/misc-move-constructor-init.cpp
88 ↗(On Diff #85197)

The test is fine, but it would also pass, if the check verified constness of the field being initialized. I'd suggest adding another one that shows a const-qualified initializer used to initialize a non-const field.

90 ↗(On Diff #85197)

Missing semicolon. I wonder how the test still passes. It passes, doesn't it?

This revision now requires changes to proceed.Jan 22 2017, 12:56 PM
lethalantidote edited edge metadata.
lethalantidote marked an inline comment as done.
  • Addresses alexfh's comments.
lethalantidote marked an inline comment as done.Feb 7 2017, 11:15 AM
alexfh accepted this revision.Feb 8 2017, 6:33 AM

LG. I'll commit the patch for you.

This revision is now accepted and ready to land.Feb 8 2017, 6:33 AM
This revision was automatically updated to reflect the committed changes.